# irtp
# obtiene los parametros en el modelo MGRM a partir del AF
source("ones.R")

irtp <- function(lb, th){
  lb <- as.matrix(lb)
  th <- as.matrix(th)
  n <- nrow(lb)
  m <- nrow(lb)
  
  I <- ones(n)
  RR <- lb %*% t(lb)
  UU <- diag(diag(I - RR))
  U <- sqrt(UU)
  V <- solve(U)
  D <- V %*% lb
  
  P <- matrix(0, ncol=ncol(th), nrow= nrow(th))
  
  for(i in 1:ncol(P)){
    P[,i] <- th[,i]/lb
  }
 
  
  results <- list(D = D, P = P)
  
  return(results)
}
