




# Set working directory

source("LLGM.R")


#Load the database and nodes

model <- "y =~ V1+V2+V3+V4+V5+V6+V7+V8+V9+V10"

ttt <- llgm(data=xsim10, type="graded", model=model, estimator="ULSMVS", 
     nodos=nodos60log)
ttt


# To save the results in a txt
sink("results.txt")
#write this string to file
cat("###############################################################################")
cat("\n")
cat("\n")
cat("\n")
cat("                         LILAC MODEL  R  C O D E                               ")
cat("\n")
cat("\n")
cat("\n")
cat("    Authors: Ana Hernandez-Dorado, Pere J. Ferrando and Fabia Morales-Vives    ")
cat("\n")
cat("\n")
cat("                        URV, TARRAGONA, (SPAIN)                                ")
cat("\n")
cat("\n")
cat("\n")
cat("                             DATE:") 
day <- Sys.Date()
day
cat("\n")
cat("\n")
cat("\n")
cat("###############################################################################")

cat("\n")
cat("\n")
cat("\n")
cat("summary")
cat("\n")
cat("###################")
cat("\n")
cat("\n")
cat("type of data")
cat("\n")
ttt$type
cat("\n")
cat("\n")
cat("estimator")
cat("\n")
ttt$estimator
cat("\n")
cat("###################")
cat("\n")
cat("\n")
ttt$Parameters
ttt$GOF
ttt$Reliability
ttt$Scoring
sink()

