
# pllgrad
# 
# theta <- lognormal trait score 
# epsi <- epsilon parameter
# alpha <- discrimination
# 


pllgrad <- function(theta, epsi, alpha){
  epsicor <- epsi^(1.702)
  n <- 1 / ((theta^(1.702 * alpha)) * epsicor)
  d <- n/(1+n)
  
  return(d)
}
