
# calibration graded


# sacar thresholds como PJ y GOF 
# 

preel <- function(datos, model, estimator){
  k <- max(datos)-1
  fffd <- names(datos)
  fit <- cfa(model = model, data=datos, estimator=estimator, ordered=fffd)
  
  loadings <- inspect(fit,what="std")$lambda
  thresholds0 <-inspect(fit,what="std")$tau
  thresholds <- matrix(thresholds0, ncol=ncol(datos))
  gof <- fitMeasures(fit)
  
  lista <- list(loadings=loadings, thresholds=thresholds, gof=gof)
  
  return(lista)
}
